require 'spec_helper'

describe 'puppet_enterprise::mcollective::server' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'RedHat',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'somenode.rspec',
      'clientcert'        => 'awesomecert',
    }
  end

  let(:facts) { @facter_facts }

  context "on a windows machine" do
    before :each do
      @facter_facts['osfamily'] = 'windows'
    end

    it "the catalog compiles" do
      subject
    end
  end

  context "on a RedHat machine" do
    it "the catalog compiles" do
      subject
    end

    it { should contain_file('/etc/puppetlabs/mcollective/server.cfg').with_notify('Service[pe-mcollective]') }
  end

  it { should satisfy_all_relationships }
end
